HC256Policy Class Reference

HC-256 stream cipher implementation. More...

`#include <hc256.h>`

Inheritance diagram for HC256Policy:

## Additional Inherited Members

Public Types inherited from AdditiveCipherConcretePolicy< word32, 4 >
typedef word32 | WordType
| Word type for the cipher.
Public Member Functions inherited from AdditiveCipherConcretePolicy< word32, 4 >
unsigned int | GetAlignment () const
| Provides data alignment requirements.
unsigned int | GetBytesPerIteration () const
| Provides number of bytes operated upon during an iteration.
unsigned int | GetIterationsToBuffer () const
| Provides buffer size based on iterations.
Public Member Functions inherited from AdditiveCipherAbstractPolicy
virtual unsigned int | GetOptimalBlockSize () const
| Provides number of ideal bytes to process.
virtual void | WriteKeystream (byte *keystream, size_t iterationCount)
| Generate the keystream.
virtual void | SeekToIteration (lword iterationCount)
| Seeks to a random position in the stream.
virtual std::string | AlgorithmProvider () const
| Retrieve the provider of this algorithm.
Static Public Member Functions inherited from HC256Info
static const char * | StaticAlgorithmName ()
Static Public Member Functions inherited from FixedKeyLength< 32, SimpleKeyingInterface::UNIQUE_IV, 32 >
static size_t | StaticGetValidKeyLength (size_t keylength)
| The default key length for the algorithm provided by a static function.
Static Public Attributes inherited from AdditiveCipherConcretePolicy< word32, 4 >
static const int | BYTES_PER_ITERATION
| Number of bytes for an iteration.
Static Public Attributes inherited from FixedKeyLength< 32, SimpleKeyingInterface::UNIQUE_IV, 32 >
static const int | KEYLENGTH
| The default key length used by the algorithm provided as a constant.
static const int | MIN_KEYLENGTH
| The minimum key length used by the algorithm provided as a constant.
static const int | MAX_KEYLENGTH
| The maximum key length used by the algorithm provided as a constant.
static const int | DEFAULT_KEYLENGTH
| The default key length used by the algorithm provided as a constant.
static const int | IV_REQUIREMENT
| The default IV requirements for the algorithm provided as a constant.
static const int | IV_LENGTH
| The default IV length used by the algorithm provided as a constant.

## Detailed Description

HC-256 stream cipher implementation.

Since
  Crypto++ 8.0

Definition at line 31 of file hc256.h.

The documentation for this class was generated from the following files:

- hc256.h
- hc256.cpp